%global	origname	scribus
Name:		scribus155
Version:	1.5.5
%global fversion	%{version}
Release:	4%{?dist}
Summary:	Open Source Page Layout
License:	GPLv2+
URL:		http://www.scribus.net/
Source0:	https://versaweb.dl.sourceforge.net/project/%{origname}/%{origname}-devel/%{version}/%{origname}-%{version}.tar.xz
#Source0:	http://downloads.sourceforge.net/%%{origname}/%%{origname}-%%{version}.tar.xz
#Source1:	http://downloads.sourceforge.net/%%{origname}/%%{origname}-%%{version}.tar.xz.asc
Patch1:		0001-build-without-python.patch
Patch2:		0002-Use-c-11-override-specifier-in-PDF-import-plugin-in-.patch
Patch3:		0003-Work-around-poppler-0.82-signature-changes.patch
Patch4:		0004-Use-same-mechanism-as-with-previous-poppler-versions.patch
Patch5:		0005-15985-Fix-failure-to-build-against-poppler-0.83.0.patch
Patch6:		0006-Fix-failure-to-build-with-poppler-0.84.0.patch
Patch7:		0007-PDF-import-plugin-support-poppler-0.86.x.patch
Patch8:		0008-16076-Fix-build-with-Qt-5.15-heirecka.patch
Patch9:		0009-16427-Fix-build-failure-with-podofo-0.9.7.patch
Patch10:	0010-16427-Fix-build-failure-with-podofo-0.9.7.patch


BuildRequires:	boost-devel
BuildRequires:	cairo-devel
BuildRequires:	cmake
BuildRequires:	cups-devel
BuildRequires:	desktop-file-utils
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	gcc-c++
BuildRequires:	ghostscript
BuildRequires:	gnutls-devel
BuildRequires:	GraphicsMagick-devel
BuildRequires:	GraphicsMagick-c++-devel
BuildRequires:	harfbuzz-devel
BuildRequires:	hyphen-devel
BuildRequires:	hunspell-devel
BuildRequires:	lcms2-devel
BuildRequires:	libappstream-glib
BuildRequires:	libcdr-devel
BuildRequires:	libfreehand-devel
BuildRequires:	libicu-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	libmspub-devel
BuildRequires:	libpagemaker-devel
BuildRequires:	libpng-devel
BuildRequires:	librevenge-devel
BuildRequires:	libtiff-devel
BuildRequires:	libvisio-devel
BuildRequires:	libwpd-devel
BuildRequires:	libwpg-devel
BuildRequires:	libxml2-devel
BuildRequires:	OpenSceneGraph-devel
BuildRequires:	openssl-devel
BuildRequires:	podofo-devel
BuildRequires:	poppler-cpp-devel
BuildRequires:	poppler-data-devel
BuildRequires:	poppler-devel
%if 0%{?fedora} < 32
%if 0%{?fedora} > 30
BuildRequires:	python2-devel
%else
BuildRequires:	python-devel
%endif
%if 0%{?fedora} > 24
BuildRequires:	python2-pillow-devel
BuildRequires:	python3-pillow-devel
%else
BuildRequires:	python-pillow-devel
%endif
%endif
BuildRequires:	python-qt5-devel
Requires:	qt5-qtbase-gui
BuildRequires:	qt5-qtbase-devel
BuildRequires:	qt5-qtdeclarative-devel
BuildRequires:	qt5-qttools-devel
BuildRequires:	qt5-qtwebkit-devel
BuildRequires:	tk-devel
%if 0%{?fedora} < 32
%if 0%{?fedora} > 30
BuildRequires:	python2-tkinter
%else
BuildRequires:	tkinter
%endif
%endif
BuildRequires:	zlib-devel


%if 0%{?fedora} >= 23 || 0%{?rhel} > 7
Supplements:	%{name}-doc = %{version}-%{release}
%else
Requires:	%{name}-doc = %{version}-%{release}
%endif

%filter_provides_in %{_libdir}/%{origname}-%{version}/plugins
%filter_setup


%description
Scribus is an desktop open source page layout program with
the aim of producing commercial grade output in PDF and
Postscript, primarily, though not exclusively for Linux.

While the goals of the program are for ease of use and simple easy to
understand tools, Scribus offers support for professional publishing
features, such as CMYK color, easy PDF creation, Encapsulated Postscript
import/export and creation of color separations.

%package        devel
Summary:	Header files for Scribus
Requires:	%{name} = %{version}-%{release}

%description    devel
#Header files for Scribus.

%package        doc
Summary:	Documentation files for Scribus
Requires:       %{name} = %{version}-%{release}
%if 0%{?fedora} > 9
BuildArch:      noarch
Obsoletes:      %{name}-doc < 1.3.5-0.12.beta
%endif

%description    doc
%{summary}

%prep
%autosetup -n %{origname}-%{version} -p1

# fix permissions
chmod a-x scribus/pageitem_latexframe.h

# drop shebang lines from python scripts
for f in scribus/plugins/scriptplugin/{samples,scripts}/*.py
do
    sed '1{/#!\/usr\/bin\/env\|#!\/usr\/bin\/python/d}' $f > $f.new
    touch -r $f $f.new
    mv $f.new $f
done

%build
%cmake  -DWANT_CCACHE=YES \
	-DWANT_DISTROBUILD=YES \
	-DWANT_GRAPHICSMAGICK=1 \
	-DWANT_HUNSPELL=1 \
%ifarch x86_64 || aarch64 
	-DWANT_LIB64=YES \
%endif
	-DWANT_NORPATH=1 \
	-DWANT_VERSIONING=YES \
	-DWITH_BOOST=1 \
	-DWITH_PODOFO=1

%cmake_build

%install
%cmake_install

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{origname}-%{fversion}.desktop
appstream-util validate-relax --nonet \
	%{buildroot}/%{_datadir}/metainfo/%{origname}-%{fversion}.appdata.xml

%post
touch --no-create %{_datadir}/mime/packages &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%if 0%{?fedora} < 25
update-desktop-database &> /dev/null || :
%endif

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_datadir}/mime/packages &> /dev/null || :
#

%if 0%{?fedora} < 25
	update-desktop-database &> /dev/null || :
%endif
	update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi

%posttrans
%if 0%{?fedora} < 25
update-desktop-database &> /dev/null || :
%endif
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

# Update 
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc %{_defaultdocdir}/%{origname}-%{fversion}/AUTHORS
%doc %{_defaultdocdir}/%{origname}-%{fversion}/ChangeLog
%doc %{_defaultdocdir}/%{origname}-%{fversion}/COPYING
%doc %{_defaultdocdir}/%{origname}-%{fversion}/README
%{_bindir}/%{origname}-%{fversion}
%{_libdir}/%{origname}-%{fversion}/
%{_datadir}/metainfo/%{origname}-%{fversion}.appdata.xml
%{_datadir}/applications/%{origname}-%{fversion}.desktop
%{_datadir}/mime/packages/%{origname}-%{fversion}.xml
%{_datadir}/icons/hicolor/16x16/apps/%{origname}-%{fversion}.png
%{_datadir}/icons/hicolor/32x32/apps/%{origname}-%{fversion}.png
%{_datadir}/icons/hicolor/128x128/apps/%{origname}-%{fversion}.png
%{_datadir}/icons/hicolor/256x256/apps/%{origname}-%{fversion}.png
%{_datadir}/icons/hicolor/512x512/apps/%{origname}-%{fversion}.png
%{_datadir}/icons/hicolor/1024x1024/apps/%{origname}-%{fversion}.png
%{_datadir}/%{origname}-%{fversion}/
%exclude %{_datadir}/%{origname}-%{fversion}/samples/*.py[co]
%exclude %{_datadir}/%{origname}-%{fversion}/scripts/*.py[co]
%{_mandir}/man1/*
%{_mandir}/pl/man1/*
%{_mandir}/de/man1/*

%files devel
%doc AUTHORS COPYING

%files doc
%dir %{_defaultdocdir}/%{origname}-%{fversion}
%lang(de) %{_defaultdocdir}/%{origname}-%{fversion}/de
%lang(en) %{_defaultdocdir}/%{origname}-%{fversion}/en
%lang(it) %{_defaultdocdir}/%{origname}-%{fversion}/it
%{_defaultdocdir}/%{origname}-%{fversion}/README*
%{_defaultdocdir}/%{origname}-%{fversion}/LINKS
%{_defaultdocdir}/%{origname}-%{fversion}/TRANSLATION

%changelog
* Wed Feb 24 2021 Michael J Gruber <mjg@fedoraproject.org> - 1.5.5-4
- fix build failure with podofo 0.9.7

* Fri Dec 25 14:02:37 CET 2020 Michael J Gruber <mjg@fedoraproject.org> - 1.5.5-3
- build without python2 scripter on F32 and above
- adjust to new cmake macros

* Wed Aug 14 2019 Michael J Gruber <mjg@fedoraproject.org> - 1.5.5-2
- make scribus fit for rawhide (py == py3) until they kill off py2

* Mon Aug 12 2019 Michael J Gruber <mjg@fedoraproject.org> - 1.5.5-1
- 1.5.5 is released

* Fri Dec 07 2018 Michael J Gruber <mjg@fedoraproject.org> - 1.5.5-0.20181207git
- rename to allow easier parallel install

* Thu Nov 22 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20181122git
- Snapshot svn 22773

* Wed Nov 14 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20181114git
- Snapshot svn 22756

* Sat Nov 03 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20181101git
- Snapshot svn 22751

* Thu Oct 25 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20181022git
- Snapshot svn 22741

* Thu Oct 25 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20181021git
- Snapshot svn 22740

* Sat Oct 13 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0.20181013git
- Snapshot svn 22730

* Mon Oct 01 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20181001git
- Snapshot svn 22716

* Mon Sep 24 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20180924git
- Snapshot svn 22704

* Fri Sep 07 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20180907git
- Snapshot svn 22672

* Fri Aug 24 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20180824git
- Snapshot svn 22649

* Wed Aug 22 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20180822git
- Snapshot svn 22641

* Tue Aug 07 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20180807git
- Snapshot svn 22620
- Add gcc-c++ dependencies

* Sun Jul 22 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20180722git
- Snapshot svn 22597 

* Thu Jun 21 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20180621git
- New snapshot

* Wed Jun 06 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20180606git
- Snapshot svn 22578

* Tue May 29 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20180529git
- Snapshot svn 22563

* Fri May 04 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20180504git
- Snapshot svn 22522

* Wed May 02 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0-20180502git
- Snapshot svn 22514

* Mon Apr 30 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.5-0.20180430git
- Snapshot svn 22496

* Mon Apr 23 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.4-0.20180423git
- Snapshot svn 22473

* Wed Apr 18 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.4-0-20180418git
- Snapshot svn 22469

* Tue Apr 10 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1.5.4-0.20180410git
- Snapshot svn 22466
